<?php

namespace App\Http\Controllers\Api;


use App\Model\BoxDetail;
use App\Service\Box\BoxHookService;
use App\Service\MeasureService;
use Illuminate\Http\Request;


class TestController extends BaseController
{
    public function deviceCallback(Request $request){
        echo 'ok';die;
    }


    public function boxInsert(){
        $data = [
            'out_order_no' => 'test123',
            'ext_1' => '1',
            'ext_2' => '2',
            'ext_3' => '3',
            'ext_4' => '4',
            'ext_5' => '5',
            'detail' => [
                [
                    'top_id' => '1',
                    'code' => '001',
                    'title' => '产品名称',
                    'ext_1' => '1',
                    'ext_2' => '2',
                    'ext_3' => '3',
                    'ext_4' => '4',
                    'ext_5' => '5',
                ],[
                    'top_id' => '2',
                    'code' => '002',
                    'title' => '产品名称1',
                    'ext_1' => '11',
                    'ext_2' => '22',
                    'ext_3' => '33',
                    'ext_4' => '44',
                    'ext_5' => '55',
                ],
            ],
        ];


        $service = BoxHookService::getInstance();

        list($status,$msg) = $service->boxInsert($data);
        var_dump($status);
        var_dump($msg);
    }

    public function aa(){
        $service = BoxHookService::getInstance();

        list($status,$msg) = $service->boxDetail(['order_no'=>'202306130543108902']);
        var_dump($status);
        var_dump($msg);
    }







}
